/**********************************************************************
	Copyright (c) 1996 Immersion Corporation

	Permission to use, copy, modify, distribute, and sell this
	software and its documentation may be granted without fee;
	interested parties are encouraged to request permission from
		Immersion Corporation
		2158 Paragon Drive
		San Jose, CA 95131
		408-467-1900

	IMMERSION DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
	INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
	IN NO EVENT SHALL IMMERSION BE LIABLE FOR ANY SPECIAL, INDIRECT OR
	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
	LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
	NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
	CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

	FILE: READCFG.H
	STARTED: 6/28/96
	NOTES/REVISIONS:
**********************************************************************/

#ifndef READCFG_H
#define READCFG_H

	/* === Defintions === */

	/* === Data Structures === */
		/* flag values for ReadCfgExecute */
#define RCE_APPLY_DEFAULTS		0x0001

	/* === External Access Globals === */

	/* === Function Prototypes === */
int ReadCfgAddInt(char *name, int *var, int deflt);
int ReadCfgAddLong(char *name, long *var, long deflt);
int ReadCfgAddFloat(char *name, float *var, float deflt);
int ReadCfgAddDouble(char *name, double *var, double deflt);
int ReadCfgAddHex(char *name, int *var, int deflt);

int ReadCfgExecute(char *filename,unsigned int flags);
void ReadCfgPrint(char *filename);
void ReadCfgClear(void);

#endif /* READCFG_H */